%define name ccsm
%define version 0.5.2
%define rel 1
%define git 0

%if  %{git}
%define srcname %{name}-%{git}
%define distname %{name}
%define release %mkrel 0.%{git}.%{rel}
%else
%define srcname %{name}-%{version}
%define distname %{name}-%{version}
%define release %mkrel %{rel}
%endif

Name: %name
Version: %version
Release: %release
Summary: Compiz Config Settings Manager
Group: System/X11
URL: http://www.compiz-fusion.org/
Source: %{srcname}.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
BuildRequires: compiz-devel
BuildRequires: compizconfig-python-devel
BuildRequires: pygtk2.0-devel
BuildRequires: intltool
BuildRequires: desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

Requires: compizconfig-python
Requires: pygtk2.0

Obsoletes: gset-compiz
Obsoletes: beryl-settings
Obsoletes: beryl-settings-simple

%description
Compiz Config Settings Manager

#----------------------------------------------------------------------------

%prep
%setup -q -n %{distname}

%build
python setup.py build --prefix=%{_prefix}

%install
rm -rf %{buildroot}
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -f %{buildroot}%{py_puresitedir}/*.egg-info
%find_lang %{name}


desktop-file-install \
  --vendor="" \
  --remove-category="Settings" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%post
%update_menus
%{update_desktop_database}

%postun
%clean_menus
%{clean_desktop_database}

#----------------------------------------------------------------------------

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/images
%{_datadir}/%{name}/images/*.svg
%dir %{py_puresitedir}/ccm
%{py_puresitedir}/ccm/*.py
%{py_puresitedir}/ccm/*.pyc
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Aug 15 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-1mdv2007.1
+ Revision: 63647
- Fix typo in desktop file handling

* Mon Aug 13 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 62613
- Official Release: 0.5.2

* Sun Aug 12 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.0-0.20070811.1mdv2008.0
+ Revision: 62128
- Update snapshot
- Make noarch now that the invalid configure is gone
- Install properly (fixes image display)

* Wed Aug 01 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.0-0.20070801.1mdv2008.0
+ Revision: 57837
- Updated snapshot

* Wed Jul 25 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.0-0.20070724.1mdv2008.0
+ Revision: 55251
- Update Snapshot

* Sat Jul 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.0-0.20070714.1mdv2008.0
+ Revision: 52119
- Update snapshot

* Sat Jul 07 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.0-0.20070707.1mdv2008.0
+ Revision: 49552
- Update Snapshot to 20070707
- Obsolete Beryl Settings and GSet Compiz
- Import ccsm

